org.apache.ignite.transactions

## Class TransactionDeadlockException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.ignite.IgniteException
        - - org.apache.ignite.transactions.TransactionException
          - - org.apache.ignite.transactions.TransactionDeadlockException

All Implemented Interfaces:
  Serializable

    public class TransactionDeadlockException
    extends TransactionException

Transaction deadlock exception.

This exception can be thrown from any cache method that modifies or reads data within transaction (explicit or implicit) with timeout in case when deadlock detection is enabled (enabled by default).

Usually this exception is cause for `TransactionTimeoutException`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`TransactionDeadlockException(String msg)` Creates new deadlock exception with given error message.

### Method Summary

### Methods inherited from class org.apache.ignite.IgniteException

`getCause, hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TransactionDeadlockException

    public TransactionDeadlockException(String msg)

Creates new deadlock exception with given error message.

Parameters:
  `msg` - Error message.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.6
Release Date | : September 11 2019